package WebFlow.gscript;

import WebFlow.*;
import java.io.*;

public class casc2dScriptImpl extends BeanContextChildSupport
                           implements WebFlow.gscript.casc2dScriptOperations {

String msg_;
org.omg.CORBA.Object peer;
private FileWriter fw;
private String ScriptFile, display;

    public casc2dScriptImpl(org.omg.CORBA.Object peer, String msg)
	throws WebFlow.NullPointerException {
    
        super(peer); 
        this.peer = peer;
        msg_ = msg;
    }

    public void test() {
        System.out.println("casc2dScript is up");
    }
    
    public void createScript(String ScriptFile, String display) {

      this.ScriptFile = ScriptFile;
      this.display = display;

      try {
        fw = new FileWriter(ScriptFile);

        fw.write("#!/usr/local/bin/perl\n");
        fw.write("chdir \"/npac/home/haupt/CASC2D/lms\";\n");
        if(display.indexOf(":")>-1) {
          fw.write("$executable = \"xterm -d "+display+" -e CASC2Df lms.prj\";\n");
	}
        else {
        fw.write("CASC2Df lms.prj\";\n");
	}
        fw.write("`$executable`;\n");         
        fw.flush();
        fw.close();

        try {
         Process p = Runtime.getRuntime().exec("chmod 775 "+ScriptFile);
	}  
        catch (Exception ex) {
          System.err.println("Cannot chmod 775 "+ScriptFile);
          System.err.println(ex);
	}


      } catch (IOException ioe) {
         System.out.println("Sorry, cannot open "+ScriptFile+" for write");
         System.out.println(ioe);
      }
    }
}











